commit:     e7934a3d25bb839578dc5513a90b2a866214bc8b
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 11 15:22:36 2017 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sat Mar 11 15:22:36 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7934a3d

www-servers/varnish: version bump to 5.0.0

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 www-servers/varnish/Manifest             |  1 +
 www-servers/varnish/varnish-5.0.0.ebuild | 98 ++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/www-servers/varnish/Manifest b/www-servers/varnish/Manifest
index 33cf7931c67..edffb16edf8 100644
--- a/www-servers/varnish/Manifest
+++ b/www-servers/varnish/Manifest
@@ -1,2 +1,3 @@
 DIST varnish-4.0.3.tar.gz 1866760 SHA256 
94b9a174097f47db2286acd2c35f235e49a2b7a9ddfdbd6eb7aa4da9ae8f8206 SHA512 
db7bb141afd4617ac95573983dc30591b0eb9bc1af06df1094f2c1eeac539da936afb4a239d2f446d3c3a51b88a781b7f9f6d9a0b2028eaf0e7049ea2159d883
 WHIRLPOOL 
942456e19be427859283959dabe5522667519d36decbc598c8ee1e949767ea7435469393289d4373db6abac5275e50a95fc3799a837dc17740a490b4912bfe6f
 DIST varnish-4.1.5.tar.gz 2199183 SHA256 
b52d4d05dd3c571c5538f2d821b237ec029691aebbc35918311ede256404feb3 SHA512 
8d54a59afbc9f485b313d2e036dcc8d874ec279e1dd2aab9daf2a169e169d15c98ff71307d44c6beb43968dcd7d69b9501486ea3b138c27d084bc4b16ed10d24
 WHIRLPOOL 
bc2e5f2d7fab56db2a7cda961be557bf0487bc5ec28f5f5274edbf49eaf615234f35d8ee7a83251f1c49b8dd4241758b0ae24e13c7fb28c4c7a11c01553c67ae
+DIST varnish-5.0.0.tar.gz 2472963 SHA256 
5101ad72b29d288a07e2e5ded4c2abe850b70ff000c13ceb1764625e83823f4a SHA512 
0694ad32595dc559bd044c5cf1bf12f002e4c0ab477b5fdc9d026d0bc3aec64d6dbe0b14dbab0b95a2180aa2ffe3871db22d0793b12c9d67350da05c25ae8e6c
 WHIRLPOOL 
0e9e6415934971e9e289693a3e4963eb2a9415a3364293c22703c2539e14e77bd0cce46440a5c3426a1be75c28a9353dab23243283e70e786123e1d7b0c78775

diff --git a/www-servers/varnish/varnish-5.0.0.ebuild 
b/www-servers/varnish/varnish-5.0.0.ebuild
new file mode 100644
index 00000000000..1c0902ad4fc
--- /dev/null
+++ b/www-servers/varnish/varnish-5.0.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python{2_7,3_4} pypy )
+
+inherit user autotools eutils systemd python-r1
+
+DESCRIPTION="Varnish is a state-of-the-art, high-performance HTTP accelerator"
+HOMEPAGE="http://www.varnish-cache.org/";
+SRC_URI="http://repo.varnish-cache.org/source/${P}.tar.gz";
+
+LICENSE="BSD-2 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~ppc ~ppc64 ~x86"
+IUSE="jemalloc jit static-libs"
+
+CDEPEND="
+       sys-libs/readline:0=
+       dev-libs/libpcre[jit?]
+       jemalloc? ( dev-libs/jemalloc )
+       sys-libs/ncurses:0="
+
+#varnish compiles stuff at run time
+RDEPEND="
+       ${PYTHON_DEPS}
+       ${CDEPEND}
+       sys-devel/gcc"
+
+DEPEND="
+       ${CDEPEND}
+       dev-python/docutils
+       virtual/pkgconfig"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="test" #315725
+
+DOCS=( README.rst doc/changes.rst )
+
+pkg_setup() {
+       ebegin "Creating varnish user and group"
+       enewgroup varnish
+       enewuser varnish -1 -1 /var/lib/varnish varnish
+       eend $?
+}
+
+src_prepare() {
+       # Remove bundled libjemalloc. We also fix
+       # automagic dep in our patches, bug #461638
+       rm -rf lib/libjemalloc
+
+       # Remove -Werror bug #528354
+       sed -i -e 's/-Werror\([^=]\)/\1/g' configure.ac
+
+       eapply_user
+
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable static-libs static) \
+               $(use_enable jit pcre-jit ) \
+               $(use_with jemalloc)
+}
+
+src_install() {
+       default
+
+       python_replicate_script "${D}/usr/share/varnish/vmodtool.py"
+
+       newinitd "${FILESDIR}"/varnishlog.initd varnishlog
+       newconfd "${FILESDIR}"/varnishlog.confd varnishlog
+
+       newinitd "${FILESDIR}"/varnishncsa.initd varnishncsa
+       newconfd "${FILESDIR}"/varnishncsa.confd varnishncsa
+
+       newinitd "${FILESDIR}"/varnishd.initd-r4 varnishd
+       newconfd "${FILESDIR}"/varnishd.confd-r4 varnishd
+
+       insinto /etc/logrotate.d/
+       newins "${FILESDIR}/varnishd.logrotate-r2" varnishd
+
+       diropts -m750
+       dodir /var/log/varnish/
+
+       systemd_dounit "${FILESDIR}/${PN}d.service"
+
+       insinto /etc/varnish/
+       doins lib/libvmod_std/vmod.vcc
+       doins etc/example.vcl
+
+       fowners root:varnish /etc/varnish/
+       fowners varnish:varnish /var/lib/varnish/
+       fperms 0750 /var/lib/varnish/ /etc/varnish/
+}

Reply via email to